Bug 1282947 - Update to 2.5.0-rc1
Update to 2.5.0-rc1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 16:14 EST by poma
Modified: 2015-11-23 15:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:38:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to 2.5.0-rc0 (4.70 KB, patch)
2015-11-17 16:14 EST, poma
no flags Details | Diff
Update to 2.5.0-rc1 (4.65 KB, patch)
2015-11-22 07:49 EST, poma
no flags Details | Diff

  None (edit)
Description poma 2015-11-17 16:14:13 EST
Created attachment 1095685 [details]
Update to 2.5.0-rc0

Update to 2.5.0-rc0

libcacard has been moved to a standalone project
virtio-gpu 3D support requires virglrenderer
http://wiki.qemu.org/ChangeLog/2.5#Build_dependencies
Comment 1 poma 2015-11-17 16:16:48 EST
libcacard - Update to 2.5.0
https://bugzilla.redhat.com/show_bug.cgi?id=1282946
Comment 2 poma 2015-11-17 16:18:37 EST
$ rpm -q qemu
qemu-2.5.0-0.1.rc0.fc24.x86_64
Comment 3 Cole Robinson 2015-11-17 16:18:58 EST
I've got everything queued up locally. Once rel-eng revives libcacard i'll push the builds
Comment 4 poma 2015-11-19 15:28:02 EST
This can start:

# qemu-system-x86_64 ... -vga virtio -display gtk,gl=on
OR
# qemu-system-x86_64 ... -device virtio-vga,id=video0 -display gtk,gl=on


This will not start:

# virsh start Rawhide3D
error: Failed to start domain Rawhide3D
error: internal error: early end of file from monitor: possible problem:
No protocol specified
Could not initialize SDL(x11 not available) - exiting

What is actually missing?

See:
virtio-gpu and libvirt
https://www.kraxel.org/blog/tag/virtio-gpu
Comment 5 Cole Robinson 2015-11-19 15:35:09 EST
(In reply to poma from comment #4)
> This can start:
> 
> # qemu-system-x86_64 ... -vga virtio -display gtk,gl=on
> OR
> # qemu-system-x86_64 ... -device virtio-vga,id=video0 -display gtk,gl=on
> 
> 
> This will not start:
> 
> # virsh start Rawhide3D
> error: Failed to start domain Rawhide3D
> error: internal error: early end of file from monitor: possible problem:
> No protocol specified
> Could not initialize SDL(x11 not available) - exiting
> 
> What is actually missing?
> 
> See:
> virtio-gpu and libvirt
> https://www.kraxel.org/blog/tag/virtio-gpu

I dunno off hand, trying to use -display sdl or -display gtk with libvirt is basically a huge hack: the VM is running as 'qemu' but you are trying to give it access to your user's display. Are you using wayland?
Comment 6 poma 2015-11-19 15:55:19 EST
(In reply to Cole Robinson from comment #5)
> (In reply to poma from comment #4)
> > This can start:
> > 
> > # qemu-system-x86_64 ... -vga virtio -display gtk,gl=on
> > OR
> > # qemu-system-x86_64 ... -device virtio-vga,id=video0 -display gtk,gl=on
> > 
> > 
> > This will not start:
> > 
> > # virsh start Rawhide3D
> > error: Failed to start domain Rawhide3D
> > error: internal error: early end of file from monitor: possible problem:
> > No protocol specified
> > Could not initialize SDL(x11 not available) - exiting
> > 
> > What is actually missing?
> > 
> > See:
> > virtio-gpu and libvirt
> > https://www.kraxel.org/blog/tag/virtio-gpu
> 
> I dunno off hand, trying to use -display sdl or -display gtk with libvirt is
> basically a huge hack: the VM is running as 'qemu' but you are trying to
> give it access to your user's display. Are you using wayland?

# ps x | grep [X]org
 1526 tty1     Ss+    0:03 /usr/libexec/Xorg :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch

SDL2 conf:
Video drivers   : dummy x11(dynamic) wayland(dynamic) opengl opengl_es2


No luck with the root also:

# loginctl show-session 1
Id=1
User=0
Name=root
Timestamp=Thu 2015-11-19 21:41:21 CET
TimestampMonotonic=70359958
VTNr=1
Seat=seat0
Display=:0
Remote=no
Service=lightdm
Desktop=xfce
Scope=session-1.scope
Leader=1856
Audit=1
Type=x11
Class=user
Active=yes
State=active
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Comment 7 poma 2015-11-19 16:19:34 EST
Besides, I tested Rawhide's Lives - Xfce, Workstation(GNOME), MATE, KDE and LXDE.
http://koji.fedoraproject.org/koji/tasks?state=all&view=tree&method=livecd&order=-id

With the Xfce Xorg crashes, GNOME and MATE use SWRAST, KDE has "blackout" and LXDE cannot start, just as Xfce.
Grepping logs nothing seems to engage virtio_gpu_dri.so.

Ah yes, Fedora-Live-Workstation-x86_64-23-10.iso at least trying, but there is no virtio_gpu_dri.so in mesa-dri-drivers-11.0.4-1.20151105.fc23.x86_64.


All in all, very early alpha stage.
Comment 8 poma 2015-11-22 07:49 EST
Created attachment 1097529 [details]
Update to 2.5.0-rc1
Comment 9 Cole Robinson 2015-11-22 12:57:01 EST
yep, already done locally... still waiting on libcacard unretirement. I'll ping fedora rel-eng tomorrow
Comment 10 Cole Robinson 2015-11-23 15:38:56 EST
rc1 built now

Note You need to log in before you can comment on or make changes to this bug.